version: "3.3"

services:
  sftp:
    image: corilus/sftp:latest
    container_name: sftp
    restart: unless-stopped
    ports:
      - "2222:22" # Map port 2222 on the host to port 22 in the container
    environment:
      - SFTP_USER=hans
      - SFTP_PASS=wurst
      - SFTP_UID=1001
      - SFTP_GID=1001
    volumes:
      - /home/hans:/home/hans # Mount the host directory for the SFTP user

